SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0001411: interface editor does not check if the subnet of an uplink is already used by another uplink - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001411Endian FirewallGUIpublic2008-10-29 11:312009-10-27 11:59
Reporterpeter-endian 
Assigned Tosimon-endian 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2-rc3 
Target VersionFixed in Version2.3 
Summary0001411: interface editor does not check if the subnet of an uplink is already used by another uplink
Descriptionthis leads in not working secondary uplinks, when 2 uplinks share the same subnet

TagsNo tags attached.
Attached Files

- Relationships
child of 0001934closedsimon-endian interface editor changes for 2.3 - meta ticket 

-  Notes
(0002783)
simon-endian (developer)
2009-07-24 10:18

now uses network_overlap() to check red_ips of new/updated uplink with red_ips of all other uplink

added patch to 2.2 patchqueue

- Issue History
Date Modified Username Field Change
2008-10-29 11:31 peter-endian New Issue
2008-10-29 11:31 peter-endian Assigned To => simon-endian
2009-06-09 20:01 peter-endian Relationship added child of 0001934
2009-07-24 10:18 simon-endian Note Added: 0002783
2009-07-24 10:18 simon-endian Status new => resolved
2009-07-24 10:18 simon-endian Fixed in Version => 2.3
2009-07-24 10:18 simon-endian Resolution open => fixed
2009-10-27 11:59 peter-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker